# OpenApi Render Engine

## Overview

The OpenAPI render engine is based on the [Swagger UI](https://github.com/swagger-api/swagger-ui) component.

## Installation

- using [`npm`](https://www.npmjs.com/)

  ```bash
  npm i @kyma-project/dc-open-api-render-engine
  ```

- using [`yarn`](https://yarnpkg.com/en/)

  ```bash
  yarn add @kyma-project/dc-open-api-render-engine
  ```

## Configuration

| Name        | Required | Type  | Default value | Description                                                                                                                                                                                                                      |
| ----------- | -------- | ----- | ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `plugins`   | No       | `any` | `[]`          | Defines custom plugins for the [Swagger UI](https://github.com/swagger-api/swagger-ui) component. Read [this](https://github.com/swagger-api/swagger-ui/blob/master/docs/customization/plugin-api.md) document for more details. |
| `schemaUrl` | No       | `any` | `{}`          | Defines the custom schema for the [SwaggerUI](https://github.com/swagger-api/swagger-ui) component.                                                                                                                              |

> **NOTE**: To learn how to pass options of a render engine, read [this](../../docs/props/render-engines.md#pass-global-options) document.

### Styles

To use default styles based on [SAP Fundamentals](https://sap.github.io/fundamental/), import them as follows:

```js
import "@kyma-project/dc-open-api-render-engine/lib/styles.css";
```

To use the default font `72` provided by SAP Fundamentals, install the npm package from [this](https://sap.github.io/fundamental/getting-started.html) Getting Started guide and import the font as follows:

```js
import "fiori-fundamentals/dist/fonts.min.css";
```
